	SUBROUTINE PITRAN (PICODE, NEWSTR, LEN)
C
C	   Translate the 2 char PICODE from PICODE to NEWSTR,
C	   returning length of expanded string in LEN.  ASCII is
C	   in the PICDS COMMON, and is .TRUE. to force translation 
C	   to ASCII printable characters, .FALSE. to use the 
C	   default translation.
C
C	   By: Mark Holomany     Date: 16-Oct-1986
C
C	   Revised:
C	   29-Jul-87 MAH Added ASCII and alternate translation arrays
C
C
	CHARACTER*2  PICODE
	CHARACTER*10 NEWSTR

D	INCLUDE 'PICDS.CMN'
C\$INCLUDE:'PICDS.CMN'

	DO 4010 N=1,NPICDS
	IF(PICODE .EQ. PICDS(N)) THEN
	   IF(ASCII) THEN
              NEWSTR = PLTEX2(N)
	      LEN    = LNTEX2(N)
	   ELSE
              NEWSTR = PLTEXT(N)
	      LEN    = LNTEXT(N)
	   ENDIF
	   GO TO 9000
	ENDIF
4010	CONTINUE
C
C	... Not found
	NEWSTR = '$'
	NEWSTR(2:3) = PICODE
	LEN = 3

9000	CONTINUE     
	RETURN        
	END
